• openSUSE Leap 42.3 : le retour du caméléon

    Aujourd'hui sort openSUSE Leap 42.3 ! Après plusieurs mois de développement en mode rolling release, la nouvelle version de la distribution phare du projet openSUSE s'est figée il y a une semaine. Elle est maintenant prête à être utilisée par tous.

    openSUSE Leap 42.3 est…

    Toujours plus stable

    openSUSE Leap se base sur SUSE Linux Enterprise (SLE), la distribution commerciale de SUSE.

    Après avoir déjà ajouté de code source de SLE 12 dans Leap 42.2 par rapport à la 42.1, Leap 42.3 va plus loin en intégrant encore d'avantage de paquets de SLE 12 SP 3 et en synchronisant de nombreux paquets communs. Leap 42.3 possède tous les outils pour configurer et utiliser le gestionnaire de volumes logique (LVM) ainsi que des outils pour analyser, extraire et modifier les images des micrologiciels UEFI. Cette publication dispose aussi de paquets tels que LLVM pour des optimisations lors des phases de compilation, d'édition des liens, d'exécution et d'inactivité. La base de code partagée permet à openSUSE Leap 42.3 de bénéficier d'une maintenance améliorée et de correctifs à la fois de la part de la communauté openSUSE et de celle des ingénieurs de SUSE.

    Prête à être utilisée comme serveur

    openSUSE Leap 42.3 offre la possibilité de sélectionner un profil Serveur durant l'installation. Sans environnement graphique, une installation serveur de Leap est prête à effectuer tout ce que vous attendez. Une tâche aussi triviale que mettre en place une plate-forme Web ou Mail devient plus facile que jamais, tout comme des projets complexes incluant de la virtualisation ou des technologies à base de conteneurs. Par exemple, les utilisateurs à la recherche d'un service de type « Exchange » peuvent bénéficier de la dernière version de la plate-forme collaborative Kopano qui intègre la prise en charge de Thunderbird, Outlook et des clients mail mobiles.
    Il faut également rappeler que Leap, ainsi que les autres distributions openSUSE et SLE, prennent en charge un installeur en mode texte complet, offrant le même niveau de fonctionnalités qu'une version graphique. L'installeur est tout à fait en mesure d'effectuer des installations à distance, en utilisant VNC ou SSH, ce qui vous permet de configurer votre serveur openSUSE Leap sans avoir besoin d'en être à proximité.

    Propose des environnements de bureau familiers

    Plasma 5.8 et GNOME 3.20 sont toujours disponibles dans Leap ainsi que plusieurs autres environnements de bureau. Leap 42.3 fournit la version avec support étendu (LTS) de KDE Plasma 5.8 et offre ainsi une fiabilité et une stabilité de KDE excellentes. La version 3.20 Delhi de GNOME offre une stabilité, une facilité d'utilisation et une accessibilité accrues. L'inclusion de ces environnements de bureaux donnera sans nul doute un sentiment de familiarité et de cohérence aux utilisateurs.

    Dispose d'un noyau au support étendu

    Leap 42.3 continue d'utiliser le noyau Linux 4.4 LTS. Les versions mineures 70 et suivantes du noyau 4.4 ont amélioré de nombreux pilotes et ont apporté des améliorations dans la prise en charge des architectures ARM, ARM64 (AArch64) et PowerPC (PPC). Cette version du noyau améliore la protection de la pile face aux dépassements de mémoire.

    Commentaires 40 Commentaires
    1. Avatar de Vigen
      Vigen -
      Bonjour,

      Migration cette nuit, de la 42.2 à la 42.3 sans anicroches !!!



      Tranquille pendant un an...

      Merci pour la nouvelle.

      Vigen.
    1. Avatar de Syvolc
      Syvolc -
      Article un peu en avance ! :p Super nouvelle en tous cas, on va tester ça. Le fond d'écran par défaut a changé ou pas ?
    1. Avatar de sogal
      sogal -
      Salut,

      Mise à jour en ligne effectuée ce midi sur mon poste de travail, RAS, tout s'est bien passé, c'est complètement transparent. Super boulot des développeurs et contributeurs de la distribution, un grand merci.
    1. Avatar de Vigen
      Vigen -
      Je t'avais prévenu !!
    1. Avatar de arnaudk
      arnaudk -
      Bon mise à jour que je planifie cette nuit. On verra bien, j'ai quelques craintes car j'ai beaucoup de dépôts tiers, ainsi qu'un ln -s sur un sous-répertoire de /usr pour gagner un peu de place sur une partition. On verra bien
    1. Avatar de manchette
      manchette -
      ;=)
      Pensez à lire les notes de versions : https://doc.opensuse.org/release-not...-NOTES.fr.html
    1. Avatar de Antoine
      Antoine -
      Citation Envoyé par Syvolc Voir le message
      Article un peu en avance ! :p
      La prochaine fois tu le publieras toi-même comme ça ce sera pas en avance.

      (Et bim ! :p)
    1. Avatar de Vigen
      Vigen -
      Merci !!

      Citation Envoyé par manchette Voir le message
      ;=)
      Pensez à lire les notes de versions : https://doc.opensuse.org/release-not...-NOTES.fr.html
    1. Avatar de sogal
      sogal -
      Si ça peut servir à quelqu'un qui se poserait la question : sur une station de travail avec carte graphique Nvidia GeForce GTX 1060 contrôlée par le pilote privateur du dépôt communautaire Nvidia, j'ai procédé à la mise selon la procédure recommandée en laissant le dépôt Nvidia activé.
      La mise à jour s'est faite sans aucun soucis, pas panne graphique au reboot, tout roule
    1. Avatar de ahlner
      ahlner -
      Deux questions :
      ---puisque LXDE n'est plus disponible sur le media d'installation, est-il remplacé par MATE,sans utiliser le réseau pour l'installer?
      ---quelle est la durée totale du suppoport, car cela ne m'amuse pas vraiment de changer de version annuellement?
      Merci.
    1. Avatar de marc.collin
      marc.collin -
      Citation Envoyé par ahlner Voir le message
      Deux questions :
      ---puisque LXDE n'est plus disponible sur le media d'installation, est-il remplacé par MATE,sans utiliser le réseau pour l'installer?
      ---quelle est la durée totale du suppoport, car cela ne m'amuse pas vraiment de changer de version annuellement?
      Merci.

      lxde est maintenant lxqt...
    1. Avatar de Vigen
      Vigen -
      Salut,

      La durée de support totale de la Leap 42.xx est de 36 mois, avec un service pack tous les 12 mois.
      Honnetement vu l'absence de problèmes qu'engendre le passage d'un service pack à un autre, je ne vois pas ou est le problème. Personnellement, j'ai le même Home depuis la version 42.1.
      Chaque version est encore maintenue six mois, après la sortie de la version supérieure.

      Vigen.


      Citation Envoyé par ahlner Voir le message
      Deux questions :
      ---puisque LXDE n'est plus disponible sur le media d'installation, est-il remplacé par MATE,sans utiliser le réseau pour l'installer?
      ---quelle est la durée totale du suppoport, car cela ne m'amuse pas vraiment de changer de version annuellement?
      Merci.
    1. Avatar de ahlner
      ahlner -
      Merci marc.collin


      Vigen
      Merci pour ces infos précises.

      Honnetement vu l'absence de problèmes qu'engendre le passage d'un service pack à un autre, je ne vois pas ou est le problème.
      Peut-être une grande différence d'age entre nous.
      Avec l'age, se sentant vulnérable et une espérance de vie réduite, on a peut-être envie de choses durables, solides, immuables pour oublier un peu cette fragilité.
      Plus jeune, j'avais davantage le goût de l'aventure. Heureusement pour me distraire un peu, j'ai six systèmes installés : XP et cinq distris dont Tumbleweed pour l'aventure.
    1. Avatar de arnaudk
      arnaudk -
      Mise à jour effectuée un instant. Dans la souleur quand même :
      - Choix du mode "Upgrad"
      - Maintien des dépôts additionnels en changeant 42.2 par 42.3
      - Ces dépôts supplémentaires ont provoqué des erreurs (pas possible pour yast de retrouver le RPM de la 42.2 dans la 42.3...)
      - Amorce, et plantage plasma (Nvidia G04 pas pu etre installé, logique)
      - bascule en mode console et lancement YaST. Via Software management, il retrouve les paquets qui ont échoué à l'installation (excellent point )
      Je les installe, aucun soucis, reboot, tout est rentré dans l'ordre
    1. Avatar de Vigen
      Vigen -
      Bonjour,

      Quelque soit l'âge on peux apprécier la sérénité !!
      Quand je lis les problèmes d'upgrade, souvent ce sont les personnes ayant utilisé YaSt qui ont eu des problèmes.
      Zypper serait-il l'outil le plus adapté?

      Vigen.



      Citation Envoyé par ahlner Voir le message
      Merci marc.collin


      Vigen
      Merci pour ces infos précises.



      Peut-être une grande différence d'age entre nous.
      Avec l'age, se sentant vulnérable et une espérance de vie réduite, on a peut-être envie de choses durables, solides, immuables pour oublier un peu cette fragilité.
      Plus jeune, j'avais davantage le goût de l'aventure. Heureusement pour me distraire un peu, j'ai six systèmes installés : XP et cinq distris dont Tumbleweed pour l'aventure.
    1. Avatar de Mister-Magoo
      Mister-Magoo -
      Bonjour,
      Mise à jour en ligne sur le PC de ma femme sans problèmes (un peu plus de 2300 paquets à migrer).
      J'ai retiré les dépôts additionnels et juste modifié les dépôt originaux de 42.2 à 42.3.
      J'ai remis Packmam une fois fini. Pas de problèmes à remonter pour le moment, un démarrage -a priori- plus rapide.
      A suivre ...
    1. Avatar de Vigen
      Vigen -
      Merci pour le retour !!
    1. Avatar de passionlinux
      passionlinux -
      Un peu déçu de cette version, je m'attendais a ce que opensuse m'avait habitué depuis dix ans c'est a dire une distribution stable oui mais tres a jour et là ce n'est pas clairement pas le cas:
      -- gnome en 3.20 (debian est en .322 et mageia en 3.24)
      -- kde plasma en 5.8... la 5.10 est parfaitement utilisable...
      -- kernel 4.4??? la derniere LTS etant la 4.9...

      Je dis un peu ce que je pense de cette version sur mon blog, alors oui c'est stable mais j'attends pas d'avoir un truc vieillot avec opensuse. Alors certe il y a les depots mais bon.
      Amicalement
      http://passiongnulinux.tuxfamily.org...e-mise-a-jour/
    1. Avatar de Vigen
      Vigen -
      Bonjour Sébastien

      Déçu par quoi en fait?

      La 42.xx est une distribution sur 36 mois. Les "service pack" .1/.2/.3 sont là pour mettre certains paquet à jour sans compromettre l'ensemble... Donc tu as un kernel, certes 4.4 LTS donc toujours maintenu, mais en version .70, donc avec des drivers supplémentaires pour étendre le support.
      Quand à l'usabilité de Plasma, crois moi, c'est très très variable selon la machine...
      Gnome en 3.20? Un atout, pas envie d'essuyer les platres de Wayland.... Dans un an la situation seras certainement meilleure, avec un bon support des pilotes proprio.
      Donc en fait je ne vois pas ce que tu entend par "vieillot" ?
      openSUSE choisi la stabilité comme cible, et elle y réussi parfaitement, j'ai passer l'intégralité de mes machines (sauf une sous Slack ) sous leap 42.3, et je ne suis pas près de changer.

      Vigen.
      Citation Envoyé par passionlinux Voir le message
      Un peu déçu de cette version, je m'attendais a ce que opensuse m'avait habitué depuis dix ans c'est a dire une distribution stable oui mais tres a jour et là ce n'est pas clairement pas le cas:
      -- gnome en 3.20 (debian est en .322 et mageia en 3.24)
      -- kde plasma en 5.8... la 5.10 est parfaitement utilisable...
      -- kernel 4.4??? la derniere LTS etant la 4.9...

      Je dis un peu ce que je pense de cette version sur mon blog, alors oui c'est stable mais j'attends pas d'avoir un truc vieillot avec opensuse. Alors certe il y a les depots mais bon.
      Amicalement
      http://passiongnulinux.tuxfamily.org...e-mise-a-jour/
    1. Avatar de passionlinux
      passionlinux -
      La 42.xx est une distribution sur 36 mois. Les "service pack" .1/.2/.3 sont là pour mettre certains paquet à jour sans compromettre l'ensemble... Donc tu as un kernel, certes 4.4 LTS donc toujours maintenu, mais en version .70, donc avec des drivers supplémentaires pour étendre le support.
      En faite c'est mal assumé, soit ce sont de vrais services pack et cela doit etre transparent pour celui qui a une 42 d'installé, soit c'est une nouvelle version et la je comprend le pourquoi de devoir faire la manippe de changer les chiffres de la version des dépots pour ensuite faire la mise a jour.

      Et puis cette numertation je ne pige rien, avant une 13.1 etait different totalement de 13.2 ce n'etait ni une mise a jour ni un service pack mais une nouvelle version d'opensuse, maintenant les numero apres le point comme ici le 3 de 42.3 veut dire service pack ... puis on passera a 15.1 ect...

      Quand à l'usabilité de Plasma, crois moi, c'est très très variable selon la machine...
      Je vais etre sincere, je n'ai pas compris le sens de cette phrase.

      Gnome en 3.20? Un atout, pas envie d'essuyer les platres de Wayland.... Dans un an la situation seras certainement meilleure, avec un bon support des pilotes proprio.
      Bon d'accord, sur la debian j'ai une 3.22 sans wayland, et mageia6 a 3.24 sans wayland, dans les deux cas wayland est bien là mais pas utilisé par defaut...
      3.22 etant d'apres ce que j'ai compris une LTS.

      Apres il y a les depots officiels de suse comme kde et autre mais voila, je prends comme elle vient et c'est pas ça.
  • Dons / Adhésion


    Dons
    Si vous aimez notre site web et que vous voulez participer financièrement, vous pouvez nous faire un don grâce à PayPal.


    Choisissez votre somme, et cliquez sur le bouton "donate" ci-dessous.



    Adhésion
    Si vous désirez être membre de notre association, vous pouvez aussi adhérer grâce à PayPal.


    Cliquez sur le bouton "PayPal" ci-dessous.

  • SUSECon 2017

     
    SUSEcon 2017
     
     
  • Derniers commentaires d'articles

    Guillaume_G

    Compte rendu du salon Paris OpenSource Summit

    C'était vraiment bien d'être nombreux. Cela permet de se relayer et d'aller voir d'autres stands et... Voir le dernier message

    Guillaume_G le Aujourd'hui 10h41
    pierrotbj

    Compte rendu du salon Paris OpenSource Summit

    Super, merci pour l'info, vous avez fais du bon boulot. Voir le dernier message

    pierrotbj le 12/12/2017 21h05